{% extends "base.html" %}

{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            <!--If there are tasks assigned to the person-->
            {% if tasks.all|length %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Start date</th>
                            <th>End date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in tasks %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.start_date|date:"M d, Y" }}</td>
                                <td>{{ task.due_date|date:"M d, Y" }}</td>
                                {% if task.is_completed %}
                                    <td>Done</td>
                                {% else %}
                                    <td>
                                        <form method="post" action="{% url 'complete_task' task.id %}">
                                            {% csrf_token %}
                                            <input type="hidden" name="is_completed" value="True"/>
                                            <button>Complete</button>
                                        </form>
                                    </td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
                <!--If there is no task assigned to the person-->
            {% else %}
                <p>You have no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
